Subject: Re: bug#47911: Package outputs should be described in the UI

From: Ludovic Courtès <[email-masked]>
Date: Tue, 20 Apr 2021 23:54:29 +0200

Hi,

Leo Famulari <[email-masked]> skribis:

> At least once a month I have to help somebody on IRC who didn't notice
> that our Git package is split into multiple outputs.
>
> They can't find `git send-email`, and the Guix package UI doesn't make
> this clear enough.

Just a side note: our ‘git’ package uses outputs in a rather unusual
way.  There are other packages that provide different features in
different outputs, but the majority of multiple-output packages have the
“standard” outputs: “doc”, “bin”, “lib”, “debug”.

So maybe we could look at the ‘git’ package (can it be split into
several packages? would that help?) in addition to the UI, and also make
sure the UI is optimized for the most frequent cases.

Ludo’.